Index: /branches/2012/dev_MERCATOR_2012_rev3555/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_ts.F90
===================================================================
--- /branches/2012/dev_MERCATOR_2012_rev3555/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_ts.F90	(revision 3582)
+++ /branches/2012/dev_MERCATOR_2012_rev3555/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_ts.F90	(revision 3583)
@@ -403,5 +403,5 @@
          IF( lk_obc )   CALL obc_dta_bt ( kt, jn   )
          IF( lk_bdy )   CALL bdy_dta ( kt, jit=jn, time_offset=+1 )
-         IF ( ln_tide_pot ) CALL upd_tide( kt, jn )
+         IF ( ln_tide_pot .AND. lk_tide) CALL upd_tide( kt, jn )
 
          !                                                !* after ssh_e
@@ -453,5 +453,5 @@
                   ENDIF
                   ! add tidal astronomical forcing
-                  IF ( ln_tide_pot ) THEN 
+                  IF ( ln_tide_pot .AND. lk_tide ) THEN 
                   zu_spg = zu_spg + grav * ( pot_astro(ji+1,jj) - pot_astro(ji,jj) ) / e1u(ji,jj)
                   zv_spg = zv_spg + grav * ( pot_astro(ji,jj+1) - pot_astro(ji,jj) ) / e2v(ji,jj)
@@ -503,5 +503,5 @@
                   ENDIF
                   ! add tidal astronomical forcing
-                  IF ( ln_tide_pot ) THEN
+                  IF ( ln_tide_pot .AND. lk_tide ) THEN
                   zu_spg = zu_spg + grav * ( pot_astro(ji+1,jj) - pot_astro(ji,jj) ) / e1u(ji,jj)
                   zv_spg = zv_spg + grav * ( pot_astro(ji,jj+1) - pot_astro(ji,jj) ) / e2v(ji,jj)
@@ -550,5 +550,5 @@
                   ENDIF
                   ! add tidal astronomical forcing
-                  IF ( ln_tide_pot ) THEN
+                  IF ( ln_tide_pot .AND. lk_tide ) THEN
                   zu_spg = zu_spg + grav * ( pot_astro(ji+1,jj) - pot_astro(ji,jj) ) / e1u(ji,jj)
                   zv_spg = zv_spg + grav * ( pot_astro(ji,jj+1) - pot_astro(ji,jj) ) / e2v(ji,jj)
Index: /branches/2012/dev_MERCATOR_2012_rev3555/NEMOGCM/NEMO/OPA_SRC/SBC/fldread.F90
===================================================================
--- /branches/2012/dev_MERCATOR_2012_rev3555/NEMOGCM/NEMO/OPA_SRC/SBC/fldread.F90	(revision 3582)
+++ /branches/2012/dev_MERCATOR_2012_rev3555/NEMOGCM/NEMO/OPA_SRC/SBC/fldread.F90	(revision 3583)
@@ -667,5 +667,5 @@
       !!----------------------------------------------------------------------
 #if defined key_bdy
-      USE bdy_oce, ONLY:  dta_global         ! workspace to read in global data arrays
+      USE bdy_oce, ONLY:  dta_global, dta_global2         ! workspace to read in global data arrays
 #endif 
 
@@ -681,13 +681,9 @@
       INTEGER                                 ::   ilendta  ! length of data in file
       INTEGER                                 ::   idvar    ! variable ID
-      INTEGER                                 ::   ib, ik   ! loop counters
+      INTEGER                                 ::   ib, ik, ji, jj   ! loop counters
       INTEGER                                 ::   ierr
-      REAL(wp), POINTER, DIMENSION(:,:,:)     ::   dta_read ! work space for global data
+      REAL(wp), POINTER, DIMENSION(:,:,:)     ::   dta_read  ! work space for global data
       !!---------------------------------------------------------------------
             
-#if defined key_bdy
-      dta_read => dta_global
-#endif
-
       ipi = SIZE( dta, 1 )
       ipj = 1
@@ -696,6 +692,19 @@
       idvar   = iom_varid( num, clvar )
       ilendta = iom_file(num)%dimsz(1,idvar)
+
+#if defined key_bdy
+      ipj = iom_file(num)%dimsz(2,idvar)
+      IF (ipj == 1) THEN ! we assume that this is a structured open boundary file
+         dta_read => dta_global
+      ELSE
+         dta_read => dta_global2
+      ENDIF
+#endif
+
+      IF ((lwp).AND.(ipi>ilendta*ipj)) CALL ctl_stop('fld_map problem with file dimension')
+
       IF(lwp) WRITE(numout,*) 'Dim size for ',TRIM(clvar),' is ', ilendta
       IF(lwp) WRITE(numout,*) 'Number of levels for ',TRIM(clvar),' is ', ipk
+
 
       SELECT CASE( ipk )
@@ -706,9 +715,19 @@
       END SELECT
       !
-      DO ib = 1, ipi
-         DO ik = 1, ipk
-            dta(ib,1,ik) =  dta_read(map(ib),1,ik)
+      IF (ipj==1) THEN
+         DO ib = 1, ipi
+            DO ik = 1, ipk
+               dta(ib,1,ik) =  dta_read(map(ib),1,ik)
+            END DO
          END DO
-      END DO
+      ELSE ! we assume that this is a structured open boundary file
+         DO ib = 1, ipi
+            jj=1+floor(REAL(map(ib)-1)/REAL(ilendta))
+            ji=map(ib)-(jj-1)*ilendta
+            DO ik = 1, ipk
+               dta(ib,1,ik) =  dta_read(ji,jj,ik)
+            END DO
+         END DO
+      ENDIF
 
    END SUBROUTINE fld_map
Index: /branches/2012/dev_MERCATOR_2012_rev3555/NEMOGCM/NEMO/OPA_SRC/SBC/sbcapr.F90
===================================================================
--- /branches/2012/dev_MERCATOR_2012_rev3555/NEMOGCM/NEMO/OPA_SRC/SBC/sbcapr.F90	(revision 3582)
+++ /branches/2012/dev_MERCATOR_2012_rev3555/NEMOGCM/NEMO/OPA_SRC/SBC/sbcapr.F90	(revision 3583)
@@ -66,10 +66,9 @@
       !!
       INTEGER            ::   ierror  ! local integer 
-      REAL(wp)           ::   zpref   ! local scalar
       !!
       CHARACTER(len=100) ::  cn_dir   ! Root directory for location of ssr files
       TYPE(FLD_N)        ::  sn_apr   ! informations about the fields to be read
       !!
-      NAMELIST/namsbc_apr/ cn_dir, sn_apr, ln_ref_apr
+      NAMELIST/namsbc_apr/ cn_dir, sn_apr, ln_ref_apr, rpref, ln_apr_obc
       !!----------------------------------------------------------------------
       !
@@ -113,8 +112,7 @@
          !
          !                                            !* control check
-         IF( ln_apr_obc  )   &
-            CALL ctl_stop( 'sbc_apr: inverse barometer added to OBC ssh data not yet implemented ' )
-         IF( ln_apr_obc .AND. .NOT. lk_obc )   &
-            CALL ctl_stop( 'sbc_apr: add inverse barometer to OBC requires to use key_obc' )
+         IF ( ln_apr_obc  ) THEN
+            IF(lwp) WRITE(numout,*) '         Inverse barometer added to OBC ssh data'
+         ENDIF
          IF( ( ln_apr_obc ) .AND. .NOT. lk_dynspg_ts )   &
             CALL ctl_stop( 'sbc_apr: use inverse barometer ssh at open boundary ONLY possible with time-splitting' )
Index: /branches/2012/dev_MERCATOR_2012_rev3555/NEMOGCM/NEMO/OPA_SRC/SBC/sbctide.F90
===================================================================
--- /branches/2012/dev_MERCATOR_2012_rev3555/NEMOGCM/NEMO/OPA_SRC/SBC/sbctide.F90	(revision 3582)
+++ /branches/2012/dev_MERCATOR_2012_rev3555/NEMOGCM/NEMO/OPA_SRC/SBC/sbctide.F90	(revision 3583)
@@ -14,5 +14,5 @@
   USE daymod
   USE dynspg_oce
-  USE tide_mod
+  USE tideini
   USE iom
 
@@ -21,22 +21,9 @@
 
   REAL(wp), PUBLIC, ALLOCATABLE, DIMENSION(:,:) :: pot_astro
-  LOGICAL, PUBLIC :: ln_tide_pot = .false.
+
 #if defined key_tide
 
   LOGICAL, PUBLIC, PARAMETER ::   lk_tide  = .TRUE.
-
-  REAL(wp), PUBLIC, ALLOCATABLE, DIMENSION(:) :: omega_tide 
-
-  REAL(wp), ALLOCATABLE, DIMENSION(:) ::  &
-       v0tide,      &
-       utide,       &
-       ftide
-
   REAL(wp), ALLOCATABLE, DIMENSION(:,:,:) :: amp_pot,phi_pot
-
-  INTEGER, PUBLIC :: nb_harmo
-  INTEGER, PUBLIC, ALLOCATABLE, DIMENSION(:) :: ntide
-  INTEGER, PUBLIC :: nn_tide, kt_tide
-
   !!---------------------------------------------------------------------------------
   !!   OPA 9.0 , LODYC-IPSL  (2003)
@@ -51,65 +38,34 @@
     !! * Arguments
     INTEGER, INTENT( in ) ::   kt     ! ocean time-step
-    !! * Local declarations
-    INTEGER  :: jk,ji
-    CHARACTER(LEN=4), DIMENSION(jpmax_harmo) :: clname
     !!----------------------------------------------------------------------
 
-    NAMELIST/nam_tide/ln_tide_pot,nb_harmo,clname,nn_tide
+    IF ( kt == nit000 .AND. .NOT. lk_dynspg_ts )  CALL ctl_stop( 'STOP', 'sbc_tide : tidal potential use only with time splitting' )
 
-    IF ( kt == nit000 ) THEN
+    IF ( nsec_day == NINT(0.5 * rdttra(1)) ) THEN
+      !
+      kt_tide = kt
 
-       IF( .NOT. lk_dynspg_ts  )  CALL ctl_stop( 'STOP', 'sbc_tide : tidal potential use only with time splitting' )
+      IF(lwp) THEN
+         WRITE(numout,*)
+         WRITE(numout,*) 'sbc_tide : (re)Initialization of the tidal potential at kt=',kt
+         WRITE(numout,*) '~~~~~~~ '
+      ENDIF
 
-    ! Read Namelist nam_tide
+      IF(lwp) THEN
+         IF ( kt == nit000 ) WRITE(numout,*) 'Apply astronomical potential : ln_tide_pot =', ln_tide_pot
+         CALL flush(numout)
+      ENDIF
 
-    nn_tide=INT(rday/rdt)
+      IF ( kt == nit000 ) ALLOCATE(amp_pot(jpi,jpj,nb_harmo))
+      IF ( kt == nit000 ) ALLOCATE(phi_pot(jpi,jpj,nb_harmo))
+      IF ( kt == nit000 ) ALLOCATE(pot_astro(jpi,jpj))
 
-    CALL tide_init_Wave
+      amp_pot(:,:,:) = 0.e0
+      phi_pot(:,:,:) = 0.e0
+      pot_astro(:,:) = 0.e0
 
-    REWIND ( numnam )
-    READ   ( numnam, nam_tide )
-
-    IF(lwp) THEN
-       WRITE(numout,*)
-       WRITE(numout,*) 'sbc_tide : Initialization of the tidal components'
-       WRITE(numout,*) '~~~~~~~ '
+      IF ( ln_tide_pot ) CALL tide_init_potential
+      !
     ENDIF
-
-    IF(lwp) THEN
-       WRITE(numout,*) '        Namelist nam_tide'
-       WRITE(numout,*) '        Apply astronomical potential : ln_tide_pot =', ln_tide_pot
-       WRITE(numout,*) '        nb_harmo    = ', nb_harmo
-       CALL flush(numout)
-    ENDIF
-
-    ALLOCATE(ntide     (nb_harmo))
-    DO jk=1,nb_harmo
-       DO ji=1,jpmax_harmo
-          IF (TRIM(clname(jk)) .eq. Wave(ji)%cname_tide) THEN
-             ntide(jk) = ji
-             EXIT
-          END IF
-       END DO
-    END DO
-    ALLOCATE(omega_tide(nb_harmo))
-    ALLOCATE(v0tide    (nb_harmo))
-    ALLOCATE(utide     (nb_harmo))
-    ALLOCATE(ftide     (nb_harmo))
-    ALLOCATE(amp_pot(jpi,jpj,nb_harmo))
-    ALLOCATE(phi_pot(jpi,jpj,nb_harmo))
-    ALLOCATE(pot_astro(jpi,jpj))
-    ENDIF
-
-    IF ( MOD( kt - 1, nn_tide ) == 0 ) THEN
-      kt_tide = kt
-      CALL tide_harmo(omega_tide, v0tide, utide, ftide, ntide, nb_harmo)
-    ENDIF
-
-    amp_pot(:,:,:) = 0.e0
-    phi_pot(:,:,:) = 0.e0
-    pot_astro(:,:) = 0.e0
-
-    IF (ln_tide_pot          ) CALL tide_init_potential
 
   END SUBROUTINE sbc_tide
Index: /branches/2012/dev_MERCATOR_2012_rev3555/NEMOGCM/NEMO/OPA_SRC/SBC/tideini.F90
===================================================================
--- /branches/2012/dev_MERCATOR_2012_rev3555/NEMOGCM/NEMO/OPA_SRC/SBC/tideini.F90	(revision 3583)
+++ /branches/2012/dev_MERCATOR_2012_rev3555/NEMOGCM/NEMO/OPA_SRC/SBC/tideini.F90	(revision 3583)
@@ -0,0 +1,126 @@
+MODULE tideini
+  !!=================================================================================
+  !!                       ***  MODULE  tideini  ***
+  !! Initialization of tidal forcing
+  !! History :  9.0  !  07  (O. Le Galloudec)  Original code
+  !!=================================================================================
+  !! * Modules used
+  USE oce             ! ocean dynamics and tracers variables
+  USE dom_oce         ! ocean space and time domain
+  USE in_out_manager  ! I/O units
+  USE ioipsl          ! NetCDF IPSL library
+  USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
+  USE phycst
+  USE daymod
+  USE dynspg_oce
+  USE tide_mod
+  USE iom
+
+  IMPLICIT NONE
+  PUBLIC
+
+  REAL(wp), PUBLIC, ALLOCATABLE, DIMENSION(:) ::  &
+       omega_tide,  &
+       v0tide,      &
+       utide,       &
+       ftide
+
+  LOGICAL, PUBLIC :: ln_tide_pot = .false., ln_tide_ramp = .false.
+  REAL(wp), PUBLIC :: rdttideramp 
+  INTEGER, PUBLIC :: nb_harmo
+  INTEGER, PUBLIC, ALLOCATABLE, DIMENSION(:) :: ntide
+  INTEGER, PUBLIC :: kt_tide
+
+  !!---------------------------------------------------------------------------------
+  !!   OPA 9.0 , LODYC-IPSL  (2003)
+  !!---------------------------------------------------------------------------------
+
+CONTAINS
+   
+  SUBROUTINE tide_init ( kt )
+    !!----------------------------------------------------------------------
+    !!                 ***  ROUTINE tide_init  ***
+    !!----------------------------------------------------------------------      
+    !! * Local declarations
+    INTEGER  :: ji, jk
+    INTEGER, INTENT( in ) ::   kt     ! ocean time-step
+    CHARACTER(LEN=4), DIMENSION(jpmax_harmo) :: clname
+    !
+    NAMELIST/nam_tide/ln_tide_pot, ln_tide_ramp, rdttideramp, clname
+    !!----------------------------------------------------------------------
+
+    IF ( kt == nit000 ) THEN
+       !
+       IF(lwp) THEN
+          WRITE(numout,*)
+          WRITE(numout,*) 'tide_init : Initialization of the tidal components'
+          WRITE(numout,*) '~~~~~~~~~ '
+       ENDIF
+       !
+       CALL tide_init_Wave
+       !
+       clname(:)=''
+       !
+       ! Read Namelist nam_tide
+       REWIND ( numnam )
+       READ   ( numnam, nam_tide )
+       !
+       nb_harmo=0
+       DO jk=1,jpmax_harmo
+          DO ji=1,jpmax_harmo
+             IF(TRIM(clname(jk)) .eq. Wave(ji)%cname_tide) THEN
+                nb_harmo=nb_harmo+1
+             ENDIF
+          END DO
+       ENDDO
+       !
+       IF(lwp) THEN
+          WRITE(numout,*) '        Namelist nam_tide'
+          WRITE(numout,*) '        nb_harmo    = ', nb_harmo
+          WRITE(numout,*) '        ln_tide_ramp = ', ln_tide_ramp 
+          WRITE(numout,*) '        rdttideramp = ', rdttideramp
+          IF (ln_tide_ramp.AND.((nitend-nit000+1)*rdt/rday < rdttideramp)) &
+          & CALL ctl_stop('rdttideramp must be lower than run duration')
+          IF (ln_tide_ramp.AND.(rdttideramp<0.)) &
+          & CALL ctl_stop('rdttideramp must be positive')
+          CALL flush(numout)
+       ENDIF
+       !
+       ALLOCATE(ntide(nb_harmo))
+       DO jk=1,nb_harmo
+          DO ji=1,jpmax_harmo
+             IF (TRIM(clname(jk)) .eq. Wave(ji)%cname_tide) THEN
+                ntide(jk) = ji
+                EXIT
+             END IF
+          END DO
+       END DO
+       !
+       ALLOCATE(omega_tide(nb_harmo))
+       ALLOCATE(v0tide    (nb_harmo))
+       ALLOCATE(utide     (nb_harmo))
+       ALLOCATE(ftide     (nb_harmo))
+       kt_tide = kt
+       !
+    ENDIF
+
+    IF ( nsec_day == NINT(0.5 * rdttra(1)) ) THEN
+       !
+       IF(lwp) THEN
+          WRITE(numout,*)
+          WRITE(numout,*) 'tide_ini : Update of the tidal components at kt=',kt
+          WRITE(numout,*) '~~~~~~~~ '
+       ENDIF
+       CALL tide_harmo(omega_tide, v0tide, utide, ftide, ntide, nb_harmo)
+       DO jk =1,nb_harmo
+         IF(lwp) WRITE(numout,*) Wave(ntide(jk))%cname_tide,utide(jk),ftide(jk),v0tide(jk),omega_tide(jk)
+         call flush(numout)
+       END DO
+       !
+       kt_tide = kt
+       !
+    ENDIF
+
+  END SUBROUTINE tide_init
+   
+END MODULE tideini
Index: /branches/2012/dev_MERCATOR_2012_rev3555/NEMOGCM/NEMO/OPA_SRC/SBC/updtide.F90
===================================================================
--- /branches/2012/dev_MERCATOR_2012_rev3555/NEMOGCM/NEMO/OPA_SRC/SBC/updtide.F90	(revision 3582)
+++ /branches/2012/dev_MERCATOR_2012_rev3555/NEMOGCM/NEMO/OPA_SRC/SBC/updtide.F90	(revision 3583)
@@ -13,4 +13,5 @@
   USE sbctide
   USE dynspg_oce
+  USE tideini, ONLY: ln_tide_ramp, rdttideramp
 
   IMPLICIT NONE
@@ -33,15 +34,21 @@
     INTEGER, INTENT( in ) ::   kt,kit      ! ocean time-step index
     INTEGER  :: ji,jj,jk
+    REAL (wp) :: zramp
     REAL (wp), DIMENSION(nb_harmo) :: zwt 
-    !...............................................................................
-    ! Potentiel astronomique
     !...............................................................................
 
     pot_astro(:,:)=0.e0
+    zramp = 1.e0
 
     IF (lk_dynspg_ts) THEN
        zwt(:) = omega_tide(:)* ((kt-kt_tide)*rdt + kit*(rdt/REAL(nn_baro,wp)))
+       IF (ln_tide_ramp) THEN
+          zramp = MIN(MAX( ((kt-nit000)*rdt + kit*(rdt/REAL(nn_baro,wp)))/(rdttideramp*rday),0.),1.)
+       ENDIF
     ELSE
        zwt(:) = omega_tide(:)*(kt-kt_tide)*rdt
+       IF (ln_tide_ramp) THEN
+          zramp = MIN(MAX( ((kt-nit000)*rdt)/(rdttideramp*rday),0.),1.) 
+       ENDIF  
     ENDIF
 
@@ -49,5 +56,5 @@
        do ji=1,jpi
           do jj=1,jpj
-             pot_astro(ji,jj)=pot_astro(ji,jj) + (amp_pot(ji,jj,jk)*COS(zwt(jk)+phi_pot(ji,jj,jk)))      
+             pot_astro(ji,jj)=pot_astro(ji,jj) + zramp*(amp_pot(ji,jj,jk)*COS(zwt(jk)+phi_pot(ji,jj,jk)))      
           enddo
        enddo
Index: /branches/2012/dev_MERCATOR_2012_rev3555/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90
===================================================================
--- /branches/2012/dev_MERCATOR_2012_rev3555/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90	(revision 3582)
+++ /branches/2012/dev_MERCATOR_2012_rev3555/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90	(revision 3583)
@@ -46,8 +46,9 @@
    USE mppini          ! shared/distributed memory setting (mpp_init routine)
    USE domain          ! domain initialization             (dom_init routine)
+   USE tideini         ! tidal components initialization   (tide_ini routine)
    USE obcini          ! open boundary cond. initialization (obc_ini routine)
    USE bdyini          ! open boundary cond. initialization (bdy_init routine)
    USE bdydta          ! open boundary cond. initialization (bdy_dta_init routine)
-   USE bdytides        ! open boundary cond. initialization (tide_init routine)
+   USE bdytides        ! open boundary cond. initialization (bdytide_init routine)
    USE istate          ! initial state setting          (istate_init routine)
    USE ldfdyn          ! lateral viscosity setting      (ldfdyn_init routine)
@@ -75,4 +76,6 @@
    USE mod_ioclient
 #endif
+   USE sbctide, ONLY: lk_tide
+
 
    IMPLICIT NONE
@@ -314,13 +317,16 @@
 
       IF( lk_obc        )   CALL     obc_init   ! Open boundaries 
+
+                            CALL  istate_init   ! ocean initial state (Dynamics and tracers)
+
+      IF( lk_tide       )   CALL tide_init( nit000 )    ! Initialisation of the tidal harmonics
+
       IF( lk_bdy        )   CALL     bdy_init       ! Open boundaries initialisation
       IF( lk_bdy        )   CALL     bdy_dta_init   ! Open boundaries initialisation of external data arrays
-      IF( lk_bdy        )   CALL     tide_init      ! Open boundaries initialisation of tidal harmonic forcing
+      IF( lk_bdy        )   CALL     bdytide_init   ! Open boundaries initialisation of tidal harmonic forcing
 
                             CALL flush(numout)
                             CALL dyn_nept_init  ! simplified form of Neptune effect
                             CALL flush(numout)
-
-                            CALL  istate_init   ! ocean initial state (Dynamics and tracers)
 
       !                                     ! Ocean physics
Index: /branches/2012/dev_MERCATOR_2012_rev3555/NEMOGCM/NEMO/OPA_SRC/step.F90
===================================================================
--- /branches/2012/dev_MERCATOR_2012_rev3555/NEMOGCM/NEMO/OPA_SRC/step.F90	(revision 3582)
+++ /branches/2012/dev_MERCATOR_2012_rev3555/NEMOGCM/NEMO/OPA_SRC/step.F90	(revision 3583)
@@ -95,4 +95,5 @@
       !<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
                          CALL sbc    ( kstp )         ! Sea Boundary Condition (including sea-ice)
+      IF( lk_tide.AND.(kstp /= nit000 ))   CALL tide_init ( kstp )
       IF( lk_tide    )   CALL sbc_tide( kstp )
       IF( lk_obc     )   CALL obc_dta( kstp )         ! update dynamic and tracer data at open boundaries
@@ -187,4 +188,5 @@
       IF( lk_trabbl      )   CALL tra_bbl    ( kstp )       ! advective (and/or diffusive) bottom boundary layer scheme
       IF( ln_tradmp      )   CALL tra_dmp    ( kstp )       ! internal damping trends
+      IF( lk_bdy         )   CALL bdy_tra_dmp( kstp )       ! bdy damping trends
                              CALL tra_adv    ( kstp )       ! horizontal & vertical advection
       IF( lk_zdfkpp      )   CALL tra_kpp    ( kstp )       ! KPP non-local tracer fluxes
@@ -219,4 +221,5 @@
          & ln_dyninc       )   CALL dyn_asm_inc( kstp )     ! apply dynamics assimilation increment
       IF( ln_neptsimp )        CALL dyn_nept_cor( kstp )    ! subtract Neptune velocities (simplified)
+      IF( lk_bdy           )   CALL bdy_dyn3d_dmp(kstp )    ! bdy damping trends
                                CALL dyn_adv( kstp )         ! advection (vector or flux form)
                                CALL dyn_vor( kstp )         ! vorticity term including Coriolis
Index: /branches/2012/dev_MERCATOR_2012_rev3555/NEMOGCM/NEMO/OPA_SRC/step_oce.F90
===================================================================
--- /branches/2012/dev_MERCATOR_2012_rev3555/NEMOGCM/NEMO/OPA_SRC/step_oce.F90	(revision 3582)
+++ /branches/2012/dev_MERCATOR_2012_rev3555/NEMOGCM/NEMO/OPA_SRC/step_oce.F90	(revision 3583)
@@ -55,5 +55,8 @@
 
    USE bdy_par          ! for lk_bdy
+   USE bdy_oce          ! for dmp logical
    USE bdydta           ! open boundary condition data     (bdy_dta routine)
+   USE bdytra           ! bdy cond. for tracers            (bdy_tra routine)
+   USE bdydyn3d         ! bdy cond. for baroclinic vel.  (bdy_dyn3d routine)
 
    USE sshwzv           ! vertical velocity and ssh        (ssh_wzv routine)
Index: /branches/2012/dev_MERCATOR_2012_rev3555/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-ifort_MERCATOR_CLUSTER
===================================================================
--- /branches/2012/dev_MERCATOR_2012_rev3555/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-ifort_MERCATOR_CLUSTER	(revision 3582)
+++ /branches/2012/dev_MERCATOR_2012_rev3555/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-ifort_MERCATOR_CLUSTER	(revision 3583)
@@ -4,8 +4,8 @@
 #PBS -e sette.$PBS_JOBID.err
 #PBS -o sette.$PBS_JOBID.out
-#PBS -l nodes=2:ppn=8
-#PBS -q multi
+#PBS -l nodes=NODES:ppn=NPROCSNODE
+#PBS -q QUEUE
 #PBS -l walltime=03:00:00
-#PBS -l mem=24gb
+#PBS -l mem=MEMgb
 
 #
@@ -22,5 +22,6 @@
 # Local settings for machine IBM Power6 (VARGAS at IDRIS France)
 #
-export MPIRUN="mpiexec -n $OCEANCORES"
+#cbr export MPIRUN="mpiexec -n $OCEANCORES"
+export MPIRUN="mpirun -np $OCEANCORES"
 
 #
@@ -50,5 +51,4 @@
 #
 cd ${EXE_DIR}
-
   echo Running on host `hostname`
   echo Time is `date`
@@ -60,4 +60,5 @@
   echo "Running time ${MPIRUN} ./opa"
      time ${MPIRUN} ./opa
+#cbr     mpirun -np $OCEANCORES ./opa
   else
   echo "Running time ./opa"
Index: /branches/2012/dev_MERCATOR_2012_rev3555/NEMOGCM/SETTE/param.cfg
===================================================================
--- /branches/2012/dev_MERCATOR_2012_rev3555/NEMOGCM/SETTE/param.cfg	(revision 3582)
+++ /branches/2012/dev_MERCATOR_2012_rev3555/NEMOGCM/SETTE/param.cfg	(revision 3583)
@@ -1,4 +1,4 @@
 #- forcing files storing 
-FORCING_DIR=~/FORCING
+FORCING_DIR=/data/rd_exchange/cbricaud/NEMO_3.4_dev2012/FORCING
 #- input files storing 
 INPUT_DIR=${CONFIG_DIR}/${NEW_CONF}/EXP00
Index: /branches/2012/dev_MERCATOR_2012_rev3555/NEMOGCM/SETTE/prepare_job.sh
===================================================================
--- /branches/2012/dev_MERCATOR_2012_rev3555/NEMOGCM/SETTE/prepare_job.sh	(revision 3582)
+++ /branches/2012/dev_MERCATOR_2012_rev3555/NEMOGCM/SETTE/prepare_job.sh	(revision 3583)
@@ -169,5 +169,5 @@
 					# number of processes required is an integer multiple of 4
 					#
-					NB_NODES=$( echo $NB_PROC | awk '{print $1 / 4}')
+					NB_NODES=$( echo $NB_PROC | awk '{print $1  $1 / 4}')
 				else
 					#
@@ -178,4 +178,27 @@
 	       			fi
 				;;
+                        ifort_MERCATOR_CLUSTER)
+                                echo NB_PROCS ${NB_PROC}
+                                echo NB_NODES ${NB_NODES}
+                                echo  NB_PROC ${NB_PROC} 
+                                if [ ${NB_PROC} -eq 1 ] ; then
+                                   NB_NODES=1
+                                   QUEUE=monoproc
+                                   NB_PROC_NODE=${NB_PROC} 
+                                else
+                                   if [ ${NB_PROC} -le 8 ] ; then 
+                                      NB_NODES=1
+                                      QUEUE=mono
+                                      NB_PROC_NODE=${NB_PROC} 
+                                   else
+                                      NB_NODES=$( echo $NB_PROC | awk '{print $1 - $1 % 8}'  | awk '{print $1 / 8 }')
+                                      QUEUE=multi
+                                      NB_PROC_NODE=8
+                                  fi    
+                                fi    
+                                echo NB_PROCS     ${NB_PROC}
+                                echo NB_NODES     ${NB_NODES}
+                                echo NB_PROC_NODE ${NB_PROC_NODE} 
+				;;
 			*)
 				NB_NODES=${NB_PROC}
@@ -186,5 +209,9 @@
 # Pass settings into job file by using sed to edit predefined strings
 #
-        cat ${SETTE_DIR}/job_batch_template | sed -e"s/NODES/${NB_NODES}/" -e"s/NPROCS/${NB_PROC}/" \
+         ((mem=5*NB_PROC))
+         echo NB_NODES NB_PROC QUEUE ${NB_NODES} ${NB_PROC} ${QUEUE}
+        cat ${SETTE_DIR}/job_batch_template | sed -e"s/NODES/${NB_NODES}/" -e"s/NPROCSNODE/${NB_PROC_NODE}/" \
+             -e"s/NPROCS/${NB_PROC}/" \
+             -e"s/QUEUE/${QUEUE}/" -e"s/MEM/${mem}/" \
              -e"s:DEF_SETTE_DIR:${SETTE_DIR}:" -e"s:DEF_INPUT_DIR:${INPUT_DIR}:" \
              -e"s:DEF_EXE_DIR:${EXE_DIR}:" \
